QGIS Application - Bug report #17744
Layout: using "system locale" chages the GUI
2017-12-24 10:29 AM - Klas Karlsson

Status: Closed

Priority: High

Assignee: QGIS Translation Team

Category: Translations and international

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 25640
Description

Settings and GUI doesn't look the same in layout/composer when using "system locale" (Swedish) and "override system locale”
(Swedish).

Using the default "system locale" on a Swedish system will render Swedish translations of the GUI, but it is not the same GUI as if using
"override system locale", even if selecting Swedish.

Two screen caps attached. One default locale and one override system locale, both in Swedish.

History

#1 - 2017-12-25 01:03 AM - Harrissou Santanna
- Status changed from Open to Feedback

Did you notice that there are currently two different tools to create layout/composer (the new and the old) and that you may not be using the same one in the

two QGIS instance?

#2 - 2017-12-26 02:52 PM - Klas Karlsson

| did not notice it was two tools to produce layouts. Same names, same short cut, translation to same name in Swedish.

#3 - 2017-12-26 04:45 PM - Harrissou Santanna

Klas Karlsson wrote:

1 did not notice it was two tools to produce layouts. Same names, same short cut, translation to same name in Swedish.

So you were not hitting the same one in the two locales, right?

The two tools being proposed are a temporary "feature”, the time the new layout is finished. See
https://lists.osgeo.org/pipermail/ggis-developer/2017-December/051013.html

Maybe we can close this ticket if you agree.

#4 - 2017-12-26 05:10 PM - Klas Karlsson

Not by testing computer but, | remember two buttons for layout (same name and shortcut in swedish) that opens the two layout tools separately. As | recall
https://lists.osgeo.org/pipermail/qgis-developer/2017-December/051013.html

there's only one menu option and it opens different layout tools depending on locale. It's probably a translation thing, and as | now know there's two layout

tools, the ticket can be closed. I'll keep an eye on it and see if it works ok in a week or two...

#5 - 2017-12-26 06:44 PM - Harrissou Santanna
- Resolution set to wontfix
- Status changed from Feedback to Closed

Thanks for keeping your eyes on it.

Files

system locale _ swe.png 278 KB

Override system locale _ swe.png 304 KB
